<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Bootstrap - Grid System</title>

        <link
            rel="stylesheet"
            href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css"
            integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N"
            crossorigin="anonymous">
        <!-- <link rel="stylesheet" href="./index.css"> -->

    </head>
    <body class="text-center ">
        <h1 class="text-center">Bootstrap Grid System</h1>

        <!-- two columns -->
        <div class="container-fluid">
            <!-- -->
            <h3>1:1 Ratio</h3>
            <div class="row">
                <div class="bg-primary col-6 py-3 border border-dark">6col</div>
                <div class="bg-secondary col-6 py-3 border border-dark">6col</div>
            </div>
            <!-- -->
            <h3>3:9 Ratio</h3>
            <div class="row">
                <div class="bg-primary col-3 py-3 border border-dark">3col</div>
                <div class="bg-secondary col-9 py-3 border border-dark">9col</div>
            </div>
            <!-- -->
            <h3>1:2 Ratio</h3>
            <div class="row">
                <div class="bg-primary col-4 py-3 border border-dark">3col</div>
                <div class="bg-secondary col-8 py-3 border border-dark">9col</div>
            </div>
        </div>

        <!-- 3 columns -->
        <div class="container-fluid">
            <!-- -->
            <h3>1:1:1 Ratio</h3>
            <div class="row">
                <div class="bg-primary col-4 py-3 border border-dark">3col</div>
                <div class="bg-secondary col-4 py-3 border border-dark">9col</div>
                <div class="bg-secondary col-4 py-3 border border-dark">9col</div>
            </div>
            <!-- -->
            <h3>1:2:1 Ratio</h3>
            <div class="row">
                <div class="bg-secondary col-3 py-3 border border-dark">3col</div>
                <div class="bg-primary col-6 py-3 border border-dark">9col</div>
                <div class="bg-secondary col-3 py-3 border border-dark">9col</div>
            </div>
            <!-- -->
            <h3>3:7:2 Ratio</h3>
            <div class="row">
                <div class="bg-secondary col-3 py-3 border border-dark">3col</div>
                <div class="bg-primary col-7 py-3 border border-dark">9col</div>
                <div class="bg-secondary col-2 py-3 border border-dark">9col</div>
            </div>
        </div>
    </div>

    <!-- -->

    <h2>Automatic Sizing</h2>
    <div class="container-fluid">
        <div class="row">
            <div class="bg-secondary col-6 py-3 border border-dark">3col</div>
            <div class="bg-primary col py-3 border border-dark">9col</div>
            <div class="bg-secondary col py-3 border border-dark">9col</div>
        </div>
    </div>
    <!-- -->
    <h2>Multi-row Layouts</h2>

    <div class="container-fluid">
        <div class="row">
            <div class="bg-primary col-4 py-3 border border-dark">catalog1</div>
            <div class="bg-secondary col-4 py-3 border border-dark">catalog2</div>
            <div class="bg-secondary col-4 py-3 border border-dark">catalog3</div>
            <div class="bg-secondary col-4 py-3 border border-dark">catalog4</div>
            <div class="bg-secondary col-4 py-3 border border-dark">catalog5</div>
            <div class="bg-secondary col-4 py-3 border border-dark">catalog6</div>
        </div>
    </div>

</div>
<h2>Offsetting Columns</h2>
<div class="container-fluid">
    <div class="row">
        <div class="bg-primary col-7 mx-auto offset-3 py-3 border border-dark">Offset Column</div>
        <div class="bg-secondary col-6 offset-0 offset-md-0 py-3 border border-dark">asd</div>
        <div class="bg-secondary col-7 offset-md-0 offset-0 py-3 border border-dark">ddd</div>
    </div>
</div>
<!--  -->
<h2>Column Orders</h2>
<div class="container-fluid">
    <div class="row">
        <div class="order-1 bg-secondary col-4 py-3 border border-dark">left</div>
        <div class="order-3 order-md-1 bg-primary col-4 py-3 border border-dark">middle</div>
        <div class="order-2 bg-secondary col-4 py-3 border border-dark">right</div>
    </div>
</div>
<script
    src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js"
    integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
    crossorigin="anonymous"></script>
<script
    src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct"
    crossorigin="anonymous"></script>
</body>
</html>